[Wine] howto compile old wine versions

fcmartins wineforum-user at winehq.org
Sun Sep 5 13:27:52 CDT 2010

This a collection of notes that might be useful for someone else trying old (*) wine versions on recent (**) Linux distributions.

1) fix freetype.c according to this patch:

2) fix signal_i386.c as indicated here:

3) fix openldap upgrade by applying a patch
download patch from
into wine-git directory and in wine-git, do:
patch -p1 < wldap32_build_fix.diff

(*) The oldest I tried was 0.9.40
(**) I used Ubuntu 9.10

More information about the wine-users mailing list